de.caff.util.table

## Class PropertyResolveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - de.caff.util.table.PropertyResolveException

- All Implemented Interfaces:
    java.io.Serializable

      public class PropertyResolveException
      extends java.lang.Exception

  Exception thrown if property resolve failed.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyResolveException(java.lang.String message, java.lang.Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `PropertyResolveException(java.lang.Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ?`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyResolveException

          public PropertyResolveException(java.lang.String message,
                                          java.lang.Throwable cause)

      Constructs a new exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.4

    - #### PropertyResolveException

          public PropertyResolveException(java.lang.Throwable cause)

      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.4